<div class="row justify-content-center">

  <div class="login-box">
    <div class="login-box-body">
      <p class="login-box-msg">Sign in to start your session</p>

      <form #loginForm=ngForm (ngSubmit)="login()">
        <div class="form-group">
          <input type="username" class="form-control form-control-sm" placeholder="Username" name="username" [(ngModel)]="form.username"
            required>
        </div>
        <div class="form-group">
          <input type="password" class="form-control form-control-sm" placeholder="Password" [(ngModel)]="form.password" name="password"
            required>
        </div>
        <div class="row mt-4">
          <div class="col-12">
            <ng-flash-message></ng-flash-message>
          </div>
          <div class="col-6">
            <div class="checkbox icheck">
              <a routerLink="/recover" class="mt-2">Forgot password?</a>
            </div>
          </div>
          <div class="col-6">
            <button type="submit" class="btn btn-primary btn-flat btn-sm float-right" [disabled]="!loginForm.valid">
              <span class="fa" [ngClass]="{ 'fa-spinner fa-spin':loading }"> </span>
              Sign-in
            </button>
          </div>
        </div>
      </form>

    </div>
  </div>

</div>